<template>
  <header class="header">
    <BreadCrumbs></BreadCrumbs>
    <ul class="header__list">
      <form @submit.prevent="">
        <FormSearchField></FormSearchField>
      </form>
      <li class="flex flex-nowrap align-center items-center">
        <nuxt-link to="/"><Icon class="w-7 h-7" name="profile"/></nuxt-link>
        <p class="hidden md:block">Sign In</p>
      </li>
      <li class="lg:hidden">
        <btn-side-menu></btn-side-menu>
      </li>
      <li>
        <nuxt-link to="/"><Icon class="w-7 h-7" name="settings"/></nuxt-link>
      </li>
      <li class="relative"><Notification></Notification></li>
    </ul>
  </header>
</template>

<style lang="scss" scoped>
.header {
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  align-items: flex-start;
  justify-content: space-between;
  gap: 1em;
}
.header__list {
  display: flex;
  flex-wrap: nowrap;
  align-items: center;
  justify-content: center;
  gap: 0.5em;
}
</style>
